%define	name	xscreensaver
%define	version	3.08
%define	release	1
%define	serial	1

Summary:	X screen saver and locker
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Group:		X11/Utilities
Copyright:	BSD
Url:		http://www.jwz.org/xscreensaver
Vendor:		Jamie Zawinski <jwz@jwz.org>
Source:		%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>
Buildroot:	/tmp/%{name}-%{version}-root

%description
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.
More than 80 display modes are included in this package.

%prep

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --without-motif \
	--with-pam --enable-subdir=../lib/xscreensaver
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1,lib/{X11/app-defaults,xscreensaver}}
mkdir -p "$RPM_BUILD_ROOT/usr/share/apps/Amusements/Screen Savers"
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,X11/wmconfig}

make  prefix=$RPM_BUILD_ROOT/usr/X11R6 \
      AD_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
     PAM_DIR=$RPM_BUILD_ROOT/etc/pam.d \
     install-strip

# This line is redundant, except that it causes the "xscreensaver"
# executable to be installed unstripped (while all others are stripped.)
# You should install it this way so that jwz gets useful bug reports.

install -m 4755 driver/xscreensaver $RPM_BUILD_ROOT/usr/X11R6/bin

( cd driver; make PAM_DIR=$RPM_BUILD_ROOT/etc/pam.d install-pam )

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xscreensaver <<EOF
xscreensaver name "xscreensaver (1min timeout)"
xscreensaver description "xscreensaver"
xscreensaver group "Amusements/Screen Savers"
xscreensaver exec "xscreensaver -timeout 1 -cycle 1 &"
EOF

cat > "$RPM_BUILD_ROOT/usr/share/apps/Amusements/Screen Savers/xscreensaver.desktop" <<EOF
[Desktop Entry]
Name=xscreensaver (1min timeout)
Description=xscreensaver
Exec=xscreensaver -timeout 1 -cycle 1
EOF

%files
%doc README README.debugging screenblank.txt
%attr(644,root,root) %config /etc/X11/wmconfig/xscreensaver
%attr(644,root,root) %config /usr/X11R6/lib/X11/app-defaults/XScreenSaver
%attr(644,root,root) %config(missingok) "/usr/share/apps/Amusements/Screen Savers/xscreensaver.desktop"
%attr(644,root,root) /etc/pam.d/xscreensaver
%attr(755,root,root) /usr/X11R6/bin/*
%attr(755,root,root) /usr/X11R6/lib/xscreensaver
%attr(644,root,root) /usr/X11R6/man/man1/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Tue Mar 16 1999 Ryan Weaver <ryanw@infohwy.com>
  [xscreensaver-3.08-1]
- Changes since 3.07:
- Fixed some bugs in my port of `t3d'.
- Added `penetrate' and `deluxe' hacks.
- When linking against Motif 2.x, also link against XPM.
- Added support for using /proc/interrupts for idle
  detection on Linux.  Now xscreensaver shouldn't kick
  in when the user is active on a non-X virtual console.
- Upgraded to autoconf 2.13.

* Tue Jan  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [xscreensaver-3.07-1]
- Changes since 3.06:
- Configure tweaks (sometimes -lXmu wasn't getting linked
  in properly; check for _Xsetlocale in -lXintl.)
- Portability fixes for sonar.c.
- Fixed a compilation problem when you have GL but don't
  have XPM.
- Made configure notice when MesaGL requires -lpthread.
- Made `flame' ignore SIGFPE (not sure if this is the
  right fix; it seems only to be needed on FreeBSD.)
- Kludged `rd-bomb' work on visuals that are of depth 24
  but that *do not* support pixmaps of depth 32.
- Fixed `halo' to work properly in TrueColor.
- Changed `xscreensaver.spec' to install the hacks in
  /usr/X11R6/lib/xscreensaver/ by default, since that's
  where recent Red Hat distributions put them.
- Added `t3d' hack.
- Updated versions of `crystal', `hopalong', and `flow'
  from xlockmore.
- Imported `demon' and `loop' modes from xlockmore.

* Mon Nov 23 1998 Ryan Weaver <ryanw@infohwy.com>
  [xscreensaver-3.06-1]
- Removed some of the older entries in %changelog
- Made some changes to spec file requested by
  Jamie Zawinski <jwz@jwz.org>
- Changes since 3.05:
- Oops, the "default-n" visual descriptor was broken;
  it was always installing a colormap if the
  `installColormap' preference was set, meaning that
  `xearth', `xv' and friends were using the wrong
  colors on 8-bit systems.
- Turned off HAVE_PING in `sonar', since it compiles
  on some Linux systems, but not others of similar
  vintage...

* Fri Nov 20 1998 Ryan Weaver <ryanw@infohwy.com>
  [xscreensaver-3.05-1]
- Moved from using Fryguy_ to Ryan Weaver.
- Sign rpms with pgp now.
- Changes since 3.04:
- Fixed an off-by-1 in `distort'.
- Added `sonar' hack.
- New version of `glplanet' (with stars.)
- Made all hacks exit when you type `q' or `ESC' at them,
  and made them obey the WM_DELETE_WINDOW ClientMessage.
- Fixed a nonfatal buffer overrun in lament (note:
  lament still doesn't work with MesaGL 3.0: it dies in
  lambda_textured_triangle1(), which is Mesa's bug, not
  mine.)
